> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myrouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Vidu Q1 Text-to-Video

Vidu Q1 Text-to-Video generates smooth and seamless videos using keyframe technology, maintaining a consistent thematic style.

<Tip>
  This is an **async** API that only returns the task\_id of the async task. You should use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated result.
</Tip>

## Request Headers

<ParamField header="Content-Type" type="string" required={true}>
  Enum: `application/json`
</ParamField>

<ParamField header="Authorization" type="string" required={true}>
  Bearer authentication format: Bearer \{\{API Key}}.
</ParamField>

## Request Body

<ParamField body="prompt" type="string" required={true}>
  Text prompt for video generation, maximum length of 1500 characters.
</ParamField>

<ParamField body="style" type="string" required={false}>
  Output video style. Default: `general`<br />
  Possible values: `general`, `anime`

  * `general`: General style. Allows style control via prompts
  * `anime`: Anime style. Optimized for anime aesthetics, with better performance for anime-related prompts
</ParamField>

<ParamField body="duration" type="integer" required={false}>
  Video duration in seconds. Default: 5 seconds, currently only the `5` second option is supported.
</ParamField>

<ParamField body="seed" type="integer" required={false}>
  Random seed for video generation.

  * Default: random seed value
  * Manually set values will override the default random seed
</ParamField>

<ParamField body="aspect_ratio" type="string" required={false}>
  Output video aspect ratio. Default: `16:9`<br />
  Possible values: `16:9`, `9:16`, `1:1`
</ParamField>

<ParamField body="resolution" type="string" required={false}>
  Output video resolution. Default: 1080p, currently only the `1080p` option is supported.
</ParamField>

<ParamField body="movement_amplitude" type="string" required={false}>
  Movement amplitude of objects in the frame. Default: `auto`<br />
  Possible values: `auto`, `small`, `medium`, `large`
</ParamField>

<ParamField body="bgm" type="boolean" required={false}>
  Whether to add background music to the generated video. Default: `false`<br />
  Possible values: `true`, `false`

  When set to true, the system will automatically add suitable BGM. BGM has no duration limit; the system will automatically adapt to the video length.
</ParamField>

## Response

<ResponseField name="task_id" type="string" required={true}>
  The task\_id of the async task. Use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated result.
</ResponseField>
